Bug 1400 - Host method for creating an AttachedStop process
Summary: Host method for creating an AttachedStop process
Status: RESOLVED FIXED
Alias: None
Product: frysk
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
: P1 normal
Target Milestone: ---
Assignee: cejas
URL:
Keywords:
Depends on:
Blocks: 1553
  Show dependency treegraph
 
Reported: 2005-09-30 16:18 IST by Andrew Cagney
Modified: 2006-11-17 20:04 IST (History)
0 users

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments
spam! (368 bytes, application/octet-stream)
2006-07-11 02:20 IST, cejas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Cagney 2005-09-30 16:18:58 IST
The current create process method creates the process in the AttachedContinue
state, need a variant that creates the process in the AttachedStop state.
Comment 1 Andrew Cagney 2005-10-07 02:37:22 IST
2005-10-06  Andrew Cagney  <cagney@redhat.com>

        * TestRun.java: Rename testRun to testCreateAttachedContinuedProc.
        Add testCreateAttachedStoppedProc.
        * Host.java: Add requestCreateAttachedStoppedProc.
        * ProcState.java, TaskState.java: Simplify startRunning state.
        Fix startStopped state.

        * Proc.java: Rename newAttachedTask to sendNewAttachedTask.
        * LinuxProc.java, ProcState.java: Update.

        * TestLib.java: In setUp, add an observer that registers any child
        process.

        * TestLib.java: Change children to a set.  Replace
        StopEventLoopOnProcDestroy with
        addStopEventLoopOnChildProcRemovedObserver.
        * TestTerminated.java, TestRun.java, TestProcGet.java,
        TestFork.java, TestExiting.java, TestExec.java, TestClone.java:
        Update.

        * Task.java: Replace getPid with getTid.  Make getTid, and
        getTaskId final.
        * LinuxTask.java: Delete "pid", "addMemoryAndRegisters", and
        "ptraceAttached".  Use getTid.
        * I386Linux.java, ProcState.java, LinuxProc.java: Update.

        * Host.java, HostState.java, I386Linux.java, LinuxHost.java,
        LinuxProc.java, LinuxTask.java, Proc.java, ProcState.java,
        Task.java, TaskState.java: Replace "runnable" with "attached" and
        "running", pass through out.  Replace newTask with
        newAttachedTask.  Further consolidate Task, Proc, and Host
        constructors.  Add startRunning and startStopped to Proc states.
Comment 2 cejas 2006-07-11 02:20:32 IST
Created attachment 1152 [details]
spam!
Comment 3 Andrew Cagney 2006-11-17 20:04:25 IST
fixed log ago.